set_display_switch_callback(3)

NAME
set_display_switch_callback - Installs a switching notification callback. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int set_display_switch_callback(int dir, void (*cb)());

DESCRIPTION
Installs a notification callback for the switching mode that was previously selected by calling set_display_switch_mode(). The direction parameter can either be SWITCH_IN or SWITCH_OUT, depending whether you want to be notified about switches away from your program or back to your program. You can sometimes install callbacks for both directions at the same time, but not every platform supports this. You can install several switch callbacks, but no more than eight on any platform.

RETURN VALUE
Returns zero on success, decreasing the number of empty callback slots by one. Returns -1 if the request is impossible for the current platform or you have reached the maximum number of allowed callbacks.

SEE ALSO
remove_display_switch_callback(3), set_display_switch_mode(3), exswitch(3)